Subject: bug#36022: 26.2.50; errors byte-compiling gnus.el

From: Noam Postavsky <[email-masked]>
Date: Sat, 01 Jun 2019 17:52:36 -0400

tags 36022 fixed
close 36022 
quit

>> Glenn already fixed this[1], right?  (Thanks Glenn!)
>>
>> [1: 008b263fee]: * lisp/gnus/gnus.el: Mark autoloaded macros as such.
>>   2019-06-01 11:33:25 -0700
>>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=008b263feeba8951a95bec93ec0a9e263cf230f7
>
> I get this compilation warning though:
>
>   ELC      gnus/gnus.elc
> Warning: Eager macro-expansion skipped due to cycle:
>   … => (load "gnus.el") => (macroexpand-all (defalias (quote gnus-interactive) …)) => (macroexpand (gnus-summary-skip-intangible …)) => (load "gnus.el")

Actually I guess this warning isn't a problem, it just makes explicit
what was happening all along.

I pushed my bytecomp fix to emacs-26, I'll see if I can make the 'macros
autoloaded as function' a proper compile warning in master.

2860285621 2019-06-01T17:48:43-04:00 "Allow macros autoloaded as functions during bytecomp (Bug#36022)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2860285621eb890697ca122cd6ede8c3f03566d6